<?php
/* Sidebar */
if(!isset($content_width)) $content_width = 720;

add_action( 'widgets_init', 'Blueline_register_sidebars' );
function Blueline_register_sidebars() {

	/* Register the 'primary' sidebar. */
    register_sidebar(array(
		'id' => 'Sidebar',
		'name' => __( 'Sidebar', 'Blueline' ),
		'description' => __( 'This is the primary widget in the sidebar, it is placed in the left column' , 'Blueline'),		
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>',
    ));
}

if (function_exists('wp_nav_menu')) {
add_action( 'init', 'Blueline_register_my_menus' );
function Blueline_register_my_menus() {
register_nav_menus(
array(
			
			'side-menu' => __( 'Main menu', 'Blueline'),
			'top-menu' => __( 'Top Menu', 'Blueline' ),
));
}
}

// Make theme available for translation
// Translations can be filed in the /languages/ directory
	load_theme_textdomain( 'Blueline', TEMPLATEPATH . '/languages' );
	$locale = get_locale();
	$locale_file = TEMPLATEPATH . "/languages/$locale.php";
	if ( is_readable( $locale_file ) )
		require_once( $locale_file ); 

if ( ! function_exists( 'Blueline_comment' ) ) :
/*Comment function */
function Blueline_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
						<?php printf( __( '%s <span class="says">says:</span>', 'Blueline' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'Blueline' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'Blueline' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( 'Edit', 'Blueline' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div id="commentheader"></div>
<div id="commentmain" class="comment-body"><?php comment_text(); ?></div>
<div id="commentfooter"></div>
		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'title_reply' => 'Leave a comment',  'reply_text' => __('Reply','Blueline'), 'max_depth' => $args['max_depth'] ) ) ); ?>
            
            
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'Blueline' ); ?> <?php comment_author_link(); ?> <?php edit_post_link(__('Edit', 'Blueline' )); ?></p>
	<?php
			break;
	endswitch;
}
endif;

if(function_exists('add_theme_support')) {
    add_theme_support('automatic-feed-links');
    add_theme_support('post-thumbnails');
	add_editor_style();

}

// Admin Panel
//HEADER
//  Set some default values
define('HEADER_TEXTCOLOR', 'ff6700');//  Default text color
define('HEADER_IMAGE', '');  // %s is theme dir uri, set a default image
define('HEADER_IMAGE_WIDTH', 735); //  Default image width is actually the div's width
define('HEADER_IMAGE_HEIGHT', 132);  // Same for height
function Blueline_header_style() {
//  This function defines the style for the theme
//  You can change these selectors to match your theme
?>
<style type="text/css">
<?php if ( 'blank' == get_header_textcolor() ) { ?>
.headertitle {
display: none;
}
#headertitle { display: none; }
<?php } else { ?>
.headertitle {
	float: left;
	padding: 0px 0 0 0px;
	color: #FFF;
	width: 720px;
	height:134px;
}
<?php } ?>
#logo{
background: url(<?php header_image() ?>) no-repeat;
width: 735px;
height: 132px;
margin: 0 0 0 226px;
padding: 0 0 0 0;
}
</style>
<?php
}
function Blueline_admin_header_style() {
?>
<style type="text/css">
#headimg{
background: url(<?php header_image() ?>) no-repeat;
height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
width:<?php echo HEADER_IMAGE_WIDTH; ?>px;
padding:0 0 0 18px;
}

#headimg h1{
padding-top:40px;
margin: 0;
}
#headimg h1 a{
color:#<?php header_textcolor() ?>;
text-decoration: none;
border-bottom: none;
}
#headimg #desc{
color:#<?php header_textcolor() ?>;
font-size:1em;
margin-top:-0.5em;
}

#desc {
display: none;
}

<?php if ( 'blank' == get_header_textcolor() ) { ?>
#headimg h1, #headimg #desc {
display: none;
}
#headimg h1 a, #headimg #desc {
color:#<?php echo HEADER_TEXTCOLOR ?>;
}
<?php } ?>

</style>
<?php
}
add_custom_image_header('Blueline_header_style', 'Blueline_admin_header_style');
add_custom_background();
?>